Debian Bug report logs - #645133
simile-timeline: source package should use proper source

version graph

Package: simile-timeline; Maintainer for simile-timeline is Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>;

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Wed, 12 Oct 2011 21:54:01 UTC

Severity: serious

Tags: confirmed

Fixed in version simile-timeline/2.3.0+dfsg-0.1

Done: Michael Stapelberg <stapelberg@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#645133; Package simile-timeline. (Wed, 12 Oct 2011 21:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Wed, 12 Oct 2011 21:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: simile-timeline: source package should use proper source
Date: Wed, 12 Oct 2011 23:52:22 +0200
Package: simile-timeline
Severity: serious
Justification: Policy 2.1

The source package contains only compressed Javascript code which is
then copied as-is to the binary package.

Instead, the source package should be the proper upstream source and use
a tool like yui-compressor or uglifyjs (the latter recommended as it is
believed to do the best and most reliable compression job).


 - Jonas

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-rc7-amd64 (SMP w/2 CPU cores)
Locale: LANG=da_DK.utf8, LC_CTYPE=da_DK.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Added tag(s) confirmed. Request was from Federico Ceratto <federico.ceratto@gmail.com> to control@bugs.debian.org. (Sat, 08 Sep 2012 17:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#645133; Package simile-timeline. (Mon, 19 Nov 2012 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Bergey <bergey@alum.mit.edu>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 19 Nov 2012 17:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 645133@bugs.debian.org (full text, mbox):

From: Daniel Bergey <bergey@alum.mit.edu>
To: 645133@bugs.debian.org
Subject: upstream minify packaging
Date: Mon, 19 Nov 2012 12:48:27 -0500
Upstream provides a source zip file:

[https://simile-widgets.googlecode.com/files/timeline_source_v2.3.0.zip]

which contains an ant build script.  The build script calls an embedded
copy of jsminTask, which combines several source js files into a smaller
number of bundles.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#645133; Package simile-timeline. (Wed, 05 Dec 2012 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Wed, 05 Dec 2012 21:06:03 GMT) Full text and rfc822 format available.

Message #17 received at 645133@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 645133@bugs.debian.org, control@bugs.debian.org
Subject: Re: simile-timeline: source package should use proper source
Date: Wed, 5 Dec 2012 22:02:06 +0100
tags -1 + pending
thanks

On Wed, 12 Oct 2011 23:52:22 +0200
Jonas Smedegaard <dr@jones.dk> wrote:
> The source package contains only compressed Javascript code which is
> then copied as-is to the binary package.
> 
> Instead, the source package should be the proper upstream source and
> use a tool like yui-compressor or uglifyjs (the latter recommended as
> it is believed to do the best and most reliable compression job).
I prepared an NMU of the package which uses the source zip
(non-minified) without the bundled jsmin. Instead, it calls
yui-compressor.

Unfortunately, the upload is broken currently due to me canceling it
and dcut being stalled for some reason. Anyway, I will upload this
package ASAP (hopefully within the next few days).

Until then, you can have a look at
http://people.debian.org/~stapelberg/simile-timeline/simile-timeline_2.3.0+dfsg-0.1.dsc
and tell me if anything is wrong with it :-).


-- 
Best regards,
Michael



Added tag(s) pending. Request was from Michael Stapelberg <stapelberg@debian.org> to control@bugs.debian.org. (Wed, 05 Dec 2012 21:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#645133; Package simile-timeline. (Thu, 06 Dec 2012 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Thu, 06 Dec 2012 23:51:03 GMT) Full text and rfc822 format available.

Message #24 received at 645133@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 645133@bugs.debian.org
Subject: Re: simile-timeline: source package should use proper source
Date: Fri, 07 Dec 2012 00:49:01 +0100
Hi,

Michael Stapelberg <stapelberg@debian.org> writes:
> Unfortunately, the upload is broken currently due to me canceling it
> and dcut being stalled for some reason. Anyway, I will upload this
> package ASAP (hopefully within the next few days).
This is now uploaded to DELAYED/5.

-- 
Best regards,
Michael



Reply sent to Michael Stapelberg <stapelberg@debian.org>:
You have taken responsibility. (Wed, 12 Dec 2012 00:21:12 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Wed, 12 Dec 2012 00:21:12 GMT) Full text and rfc822 format available.

Message #29 received at 645133-close@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: 645133-close@bugs.debian.org
Subject: Bug#645133: fixed in simile-timeline 2.3.0+dfsg-0.1
Date: Wed, 12 Dec 2012 00:17:42 +0000
Source: simile-timeline
Source-Version: 2.3.0+dfsg-0.1

We believe that the bug you reported is fixed in the latest version of
simile-timeline, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645133@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Stapelberg <stapelberg@debian.org> (supplier of updated simile-timeline package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 05 Dec 2012 20:12:41 +0100
Source: simile-timeline
Binary: libjs-simile-timeline
Architecture: source all
Version: 2.3.0+dfsg-0.1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Michael Stapelberg <stapelberg@debian.org>
Description: 
 libjs-simile-timeline - JavaScript library for web-based interactive timelines
Closes: 645133
Changes: 
 simile-timeline (2.3.0+dfsg-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Use timeline_source instead of timeline_libraries as orig tarball since
     the latter contains already-minified scripts (Closes: #645133)
Checksums-Sha1: 
 416c334cd60c6732e4f1e45bafc85939bbc78fd6 2050 simile-timeline_2.3.0+dfsg-0.1.dsc
 59f4eb485b9f449546f75b194611ef8c96ff6b86 1481161 simile-timeline_2.3.0+dfsg.orig.tar.gz
 2b5302a6a48fd05c25f60b9bcc29ab19adfde8a7 3576 simile-timeline_2.3.0+dfsg-0.1.diff.gz
 19eb0fdb6ee22d112defece6cd8ff1daf249e027 113770 libjs-simile-timeline_2.3.0+dfsg-0.1_all.deb
Checksums-Sha256: 
 4ae2666772f180ef43eec35fedaed4ba4cf3499d18b95659200849e9e2e12d26 2050 simile-timeline_2.3.0+dfsg-0.1.dsc
 274bfe0a1a30122c465e740f4cf7f3a6275b7f88cbe65887a2efbbacb76a61db 1481161 simile-timeline_2.3.0+dfsg.orig.tar.gz
 f0cf11a99e9a8ad215d59b66e9b240bb3e8edd3ee4a978a2fd5d445a118dc2b8 3576 simile-timeline_2.3.0+dfsg-0.1.diff.gz
 66be3618429113a3cded0aad079f409e47d5f368c46dca8c7c520c5e2e68dfca 113770 libjs-simile-timeline_2.3.0+dfsg-0.1_all.deb
Files: 
 4a6c02952484a2a29b5fc6b48c8d0de4 2050 web optional simile-timeline_2.3.0+dfsg-0.1.dsc
 e18dc46098c32e490c69f9b94ed2b7da 1481161 web optional simile-timeline_2.3.0+dfsg.orig.tar.gz
 8b32ecfbb9f176a9f3b76219cc29e1dd 3576 web optional simile-timeline_2.3.0+dfsg-0.1.diff.gz
 ca8c6311fbfa97862a7c5d44b55d583e 113770 web optional libjs-simile-timeline_2.3.0+dfsg-0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQv7C0AAoJEE5xYO1KyO4diPsQAL+1+QxwZ1/6adm0JNLrLYcj
bgHjp5wQ0hIhRnqMUjvyxRsaagJ1Vn3a1FXqrE0XQO5xLTur5qRynxmFjUJstEd2
CljOmif3AhE/NaurFBWI9RI1n5E+h54bwaEjEoIf8iacqNu4Rw2FtbLDmT/cLjey
N4gLsjNKv8P/WzENMGzX8fwzidhrp/0a7lAUjUDcNhWbT2eSniXMaMksZES7suc4
SzSMYzeVsghJlO6m5H7KumhyVjCjOz8lhUbxjg9pzKr43+PKIEBlLgncyYwf7l1g
fUym0uxR6YkM6QbYecxbp3U8lL0Pg9ih2UdRvmumjdbWK8al2WtW0807XHCDwfyY
iecFRVCXTtAH+2IlJ1H6xR265qsND2+7fq3fpObOxG4gzNItNATgDu1S9LaHlNH1
x7SCHfABnjiTerzVyZ4SGwcQtURwEpCsh8fUO2oPPVWrdGjeU8oF1urjEmkuYT6b
R3GXcVB7DH9RprPsXAeLbPizMmvLrnIlVYfWAHvEnFtqkCpq9mtEMK88yvF6aPmN
zdGIdshXN0B02XHKWVgA3SAbqVaCvoJAUE+HcH5sMF6Vi1dWvRP08cobQGAEHe7Y
alGLJcLzks9QELkW/l9ewA72Ci8ZfwRvmm/ag6iuqoXrr2pOvq9QF1pV1szohsy0
BKDj8NxafOYAP9ncdajh
=V/4p
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:48:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:29:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.